CatalogChannels
Get the channel requirements for a listing
GET
/v1/channels/listings/{id}/requirementsGet the channel requirements for a listing. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/channels/listings/7204558912004325301/requirements" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "categoryExternalId": "7204558912004325301", "categoryName": "Example resource", "categoryPath": "example", "categoryMapped": false, "attributesSynced": false, "requirements": [ { "externalId": "7204558912004325301", "name": "Example resource", "valueType": "example", "required": false, "options": [ "example" ], "value": "example", "source": "example", "variantId": "7204558912004325301" } ], "productAttributes": [ { "key": "example", "name": "Example resource", "value": "example" } ], "categoryRequired": true}